printDocumentInstance

Create a print request for document instance.

Creates a print request for the requested document. The document must have been created by POST /documentInstance/{referenceType}/{referenceNumber}/{documentType} and defined by its documentId.The printing location depends on the session context (e.g. user/client or workstation) and the printing output settings in the document type of the document.

The print request is processed asynchronously and may fail if the cloud printing server service is not started on the target machine. When the print request is processed the actual content of the document will be printed, e.g. if the document has been changed since the print request was created the changes will be printed.

Path Params
string
required

The unique documentId for the stored document which has to be printed.

Query Params
boolean

Stop printing when error occurs

boolean

Supervise print job until the printing is finished

boolean

Disable sending print job error email

string

Email address to send information about failed print job

string

Workstation for print

string

ID of the workstation session for local printing (session must be established by caller)

boolean

Check that the resolved printer name is available in the provided context. No print request is created if this is not the case.

int32

Auto-retry timeout for locking (default is 3000ms).

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

404

Reference object was not found

410

Document has already expired

423

Document was found but is currently locked

425

Document content pending

Language
Credentials
Response
Click Try It! to start a request and see the response here!